Bug 1758099 - set_fact _radosgw_address to radosgw_address_block ipv4 fails as 'item' is undefined
Summary: set_fact _radosgw_address to radosgw_address_block ipv4 fails as 'item' is un...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 4.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: rc
: 4.0
Assignee: Dimitri Savineau
QA Contact: RUDRA PRATAP
URL:
Whiteboard:
Depends On:
Blocks: 1594251
TreeView+ depends on / blocked
 
Reported: 2019-10-03 09:25 UTC by Giulio Fidente
Modified: 2020-01-31 12:47 UTC (History)
10 users (show)

Fixed In Version: ceph-ansible-4.0.1-1.el8cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 12:47:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 4522 0 'None' closed ceph-facts: fix _radosgw_address with block 2020-09-14 13:49:19 UTC
Github ceph ceph-ansible pull 4526 0 'None' closed ceph-facts: fix _radosgw_address with block (bp #4522) 2020-09-14 13:49:19 UTC
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:47:31 UTC

Description Giulio Fidente 2019-10-03 09:25:16 UTC
RGW deployment fails on 'set_fact _radosgw_address to radosgw_address_block ipv4' with:

  msg: |-
    The task includes an option with an undefined variable. The error was: 'item' is undefined

see logs in tripleo/ci [1]

1. https://storage.bhs1.cloud.ovh.net/v1/AUTH_dcaab5e32b234d56b626f72581e3644c/zuul_opendev_logs_5da/656935/7/check/tripleo-ci-centos-7-scenario004-standalone/5da2403/logs/undercloud/home/zuul/standalone-ansible-0Y9Xkq/ceph-ansible/ceph_ansible_command.log.txt.gz

Comment 8 errata-xmlrpc 2020-01-31 12:47:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.